Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
ezpAutoloadCliOutput Class Reference
Inheritance diagram for ezpAutoloadCliOutput:

## Public Member Functions
| __construct ( $quiet=false)
| outputCli ( $message, $type)
| initPhase1 ()
| progressUpdatePhase1 ()
| finishPhase1 ()
| initPhase2 ()
| progressUpdatePhase2 ()
| finishPhase2 ()
| getData ( $phase)
| updateData ( $phase, $data)
| updateProgress ( $phase)

## Protected Attributes
| $output = null
| $fileSearchProgress = null
| $tokenizerProgress = null
| $data = null

## Detailed Description

Definition at line 17 of file ezpautoloadclioutput.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpAutoloadCliOutput::__construct | ( |  | $quiet = `false` | ) |

Constructor of the ezpAutoloadCliOutput class

Parameters

  bool | null | $quiet | True to not display any messages/warnings to the output. False / null to display all messages.

Returns
  void

Definition at line 53 of file ezpautoloadclioutput.php.

## Member Function Documentation

## ◆ finishPhase1()

ezpAutoloadCliOutput::finishPhase1 | ( |  | ) |

Closes down progress update for phase 1, also inserts some newlines to make sure output is displayed nicely.

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 114 of file ezpautoloadclioutput.php.

## ◆ finishPhase2()

ezpAutoloadCliOutput::finishPhase2 | ( |  | ) |

Finishes progress output for class search phase.

Also inserts some extra newlines to make the output clearer.

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 164 of file ezpautoloadclioutput.php.

## ◆ getData()

ezpAutoloadCliOutput::getData | ( |  | $phase | ) |

Returns data array used to keep statistical information for each $phase.

Parameters

  int | $phase |

See also
  eZAutoloadGenerator::OUTPUT_PROGRESS_PHASE1
  eZAutoloadGenerator::OUTPUT_PROGRESS_PHASE2

Returns
  array

Implements ezpAutoloadOutput.

Definition at line 179 of file ezpautoloadclioutput.php.

References eZAutoloadGenerator\OUTPUT_PROGRESS_PHASE1, and eZAutoloadGenerator\OUTPUT_PROGRESS_PHASE2.

## ◆ initPhase1()

ezpAutoloadCliOutput::initPhase1 | ( |  | ) |

Sets up the class for handling progress information for file searching phase.

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 92 of file ezpautoloadclioutput.php.

## ◆ initPhase2()

ezpAutoloadCliOutput::initPhase2 | ( |  | ) |

Sets up the class for displaying progress information for class search phase.

This method expects the total file count to be present in the internal $data array.

Example: `$statArray = array( 'nFiles' => count( $fileList ), 'classCount' => 0, 'classAdded' => 0, );`

This array can set via the updateData() function.

See also
  function updateData

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 139 of file ezpautoloadclioutput.php.

## ◆ outputCli()

ezpAutoloadCliOutput::outputCli | ( |  | $message,
|  |  | $type
| ) |  |

Outputs a $message on the CLI, and formats it according to type. Currently $type of "normal" and "warning" is supported.

Parameters

  string | $message |
  string | $type |

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 72 of file ezpautoloadclioutput.php.

References $message, and $type.

## ◆ progressUpdatePhase1()

ezpAutoloadCliOutput::progressUpdatePhase1 | ( |  | ) |

Pushes an progress update for file searching phase.

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 103 of file ezpautoloadclioutput.php.

Referenced by updateProgress().

## ◆ progressUpdatePhase2()

ezpAutoloadCliOutput::progressUpdatePhase2 | ( |  | ) |

Pushes a progress update for class search phase.

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 152 of file ezpautoloadclioutput.php.

Referenced by updateProgress().

## ◆ updateData()

ezpAutoloadCliOutput::updateData | ( |  | $phase,
|  |  | $data
| ) |  |

Updates the internal data array for each $phase

Parameters

  int | $phase |
  array | $data |

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 200 of file ezpautoloadclioutput.php.

References $data.

## ◆ updateProgress()

ezpAutoloadCliOutput::updateProgress | ( |  | $phase | ) |

Calls the correct phase progress update method depending on $phase

Parameters

  int | $phase |

Returns
  void

Implements ezpAutoloadOutput.

Definition at line 212 of file ezpautoloadclioutput.php.

References eZAutoloadGenerator\OUTPUT_PROGRESS_PHASE1, eZAutoloadGenerator\OUTPUT_PROGRESS_PHASE2, progressUpdatePhase1(), and progressUpdatePhase2().

## Member Data Documentation

## ◆ $data

ezpAutoloadCliOutput::$data = null
| protected

Definition at line 44 of file ezpautoloadclioutput.php.

Referenced by updateData().

## ◆ $fileSearchProgress

ezpAutoloadCliOutput::$fileSearchProgress = null
| protected

Definition at line 31 of file ezpautoloadclioutput.php.

## ◆ $output

ezpAutoloadCliOutput::$output = null
| protected

Definition at line 24 of file ezpautoloadclioutput.php.

## ◆ $tokenizerProgress

ezpAutoloadCliOutput::$tokenizerProgress = null
| protected

Definition at line 37 of file ezpautoloadclioutput.php.

The documentation for this class was generated from the following file:

- ezpautoloadclioutput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.